[Wtr-development] FireWatir

Jarmo jarmo.p at gmail.com
Tue Oct 5 06:04:30 EDT 2010


Few years? No way. I'd say if watir-webdriver has watirspec specs
passing then we could release 2.0 soon, where watir-webdriver would
become watir with support for ie, firefox, chrome, opera, safari... i
don't see much of a point keeping two separate implementations in
active development...

at one point we'd have to look upon differences of these two and try
to remove some gaps...

of course we could keep Watir 1.x branch alive by fixing bugs and
such, but not adding any new features... just like with some other
projects like Rails by having 2.x and 3.x currently. Just my two
cents.

I'd be very happy if all this would happen sooner than "in few years" :)

Of course other's opinions are welcome.

Jarmo

On Tue, Oct 5, 2010 at 12:50 PM, Željko Filipin
<zeljko.filipin at wa-research.ch> wrote:
> On Tue, Oct 5, 2010 at 11:45 AM, Alister Scott <alister.scott at gmail.com>
> wrote:
>> will watir-webdriver driving IE ever replace vanilla watir?
>
> We could decide about IE in a few years when watir-webdriver has better
> support for it, but FF 4 should be out soon and we would not be able to
> support it with JSSH (as I understood Angrez).
>
> Željko
>
> _______________________________________________
> Wtr-development mailing list
> Wtr-development at rubyforge.org
> http://rubyforge.org/mailman/listinfo/wtr-development
>


More information about the Wtr-development mailing list